Bazaar Version Control System

Activity log for bug #714449

Date Who What changed Old value New value Message
2011-02-07 09:16:56 Alexander Belchenko bug added bug
2011-02-07 19:11:27 Martin Packman bzr: importance Undecided Medium
2011-02-07 19:11:27 Martin Packman bzr: status New Confirmed
2011-11-22 10:58:27 Martin Packman summary try to commit unknown non-ascii file: got a UnicodeError traceback UnicodeDecodeError on stderr from logging non-ascii message
2011-11-22 10:58:27 Martin Packman description C:\work\MyCode\Visualisator\Docs>bzr st unknown: Список требуемых доработок 2011-02-04.doc Установка связи.doc C:\work\MyCode\Visualisator\Docs>bzr ci "Установка связи.doc" -m "выделена фраза про размерность Session ID" Committing to: C:/work/MyCode/Visualisator/Docs/ Traceback (most recent call last): File "logging\__init__.pyo", line 799, in emit UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 80: ordinal not in range(128) bzr: ERROR: Path(s) are not versioned: "╨г╤Б╤В╨░╨╜╨╛╨▓╨║╨░ ╤Б╨▓╤П╨╖╨╕.doc" The last error is correct, although the file name printed as UTF-8, but this is already known error (sigh). I don't understand the traceback part there. Is it really needed? C:\work\MyCode\Visualisator\Docs>bzr version Bazaar (bzr) 2.3b5 Python interpreter: C:\Program Files\Bazaar\python26.dll 2.6.6 Python standard library: C:\Program Files\Bazaar\lib\library.zip Platform: Windows-XP-5.1.2600-SP3 bzrlib: C:\Program Files\Bazaar\lib\library.zip\bzrlib Bazaar configuration: C:\Documents and Settings\modul98\Application Data\bazaar\2.0 Bazaar log file: C:\work\.bzr.log Copyright 2005-2010 Canonical Ltd. http://bazaar.canonical.com/ bzr comes with ABSOLUTELY NO WARRANTY. bzr is free software, and you may use, modify and redistribute it under the terms of the GNU General Public License version 2 or later. Bazaar is part of the GNU Project to produce a free operating system. C:\work\MyCode\Visualisator\Docs>bzr st unknown: Список требуемых доработок 2011-02-04.doc Установка связи.doc C:\work\MyCode\Visualisator\Docs>bzr ci "Установка связи.doc" -m "выделена фраза про размерность Session ID" Committing to: C:/work/MyCode/Visualisator/Docs/ Traceback (most recent call last): File "logging\__init__.pyo", line 799, in emit UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 80: ordinal not in range(128) bzr: ERROR: Path(s) are not versioned: "╨г╤Б╤В╨░╨╜╨╛╨▓╨║╨░ ╤Б╨▓╤П╨╖╨╕.doc" The last error is correct, although the file name printed as UTF-8, but this is already known error (sigh). I don't understand the traceback part there. Is it really needed? C:\work\MyCode\Visualisator\Docs>bzr version Bazaar (bzr) 2.3b5 Python interpreter: C:\Program Files\Bazaar\python26.dll 2.6.6 Python standard library: C:\Program Files\Bazaar\lib\library.zip Platform: Windows-XP-5.1.2600-SP3 bzrlib: C:\Program Files\Bazaar\lib\library.zip\bzrlib Bazaar configuration: C:\Documents and Settings\modul98\Application Data\bazaar\2.0 Bazaar log file: C:\work\.bzr.log
2011-11-22 11:00:10 Martin Packman bug watch added http://bugs.python.org/issue6991
2011-11-22 11:00:23 Martin Packman bug watch removed http://bugs.python.org/issue6991
2011-11-22 11:16:28 Martin Packman bug added subscriber Marcin Juszkiewicz
2011-11-30 22:40:11 Martin Packman bzr: status Confirmed In Progress
2011-11-30 22:40:11 Martin Packman bzr: assignee Martin Packman (gz)
2011-11-30 22:48:24 Launchpad Janitor branch linked lp:~gz/bzr/2.4_robust_logging_714449
2011-12-05 11:42:24 Martin Packman nominated for series bzr/2.4
2011-12-05 11:42:24 Martin Packman bug task added bzr/2.4
2011-12-05 11:42:50 Martin Packman bzr/2.4: importance Undecided Medium
2011-12-05 11:42:50 Martin Packman bzr/2.4: status New Fix Released
2011-12-05 11:42:50 Martin Packman bzr/2.4: milestone 2.4.3
2011-12-05 11:42:50 Martin Packman bzr/2.4: assignee Martin Packman (gz)
2011-12-05 16:00:29 Martin Packman bzr: status In Progress Fix Released
2011-12-05 16:00:29 Martin Packman bzr: milestone 2.5b4